diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/ExternalToolSupportPlugin.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/ExternalToolSupportPlugin.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/ExternalToolSupportPlugin.cpp	2013-12-10 23:33:48.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/ExternalToolSupportPlugin.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -149,7 +149,7 @@ public:
         if(envList.indexOf(QRegExp("PATH=.*",Qt::CaseInsensitive))>=0){
             QString pathEnv = envList.at(envList.indexOf(QRegExp("PATH=.*",Qt::CaseInsensitive)));
             QStringList paths;
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
             paths = pathEnv.split("=").at(1).split(":");
 #elif defined(Q_OS_WIN)
             paths = pathEnv.split("=").at(1).split(";");
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/R/RSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/R/RSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/R/RSupport.cpp	2013-12-10 23:33:48.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/R/RSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -46,7 +46,7 @@ RSupport::RSupport(const QString& name, 
 #ifdef Q_OS_WIN
     executableFileName = "Rscript.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
     executableFileName = "Rscript";
 #endif
 #endif
@@ -77,7 +77,7 @@ RModuleSupport::RModuleSupport(const QSt
 #ifdef Q_OS_WIN
     executableFileName = "Rscript.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName = "Rscript";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/blast/BlastAllSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast/BlastAllSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/blast/BlastAllSupport.cpp	2013-12-10 23:33:48.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast/BlastAllSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -63,7 +63,7 @@ BlastAllSupport::BlastAllSupport(const Q
 #ifdef Q_OS_WIN
         executableFileName="blastall.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
         executableFileName="blastall";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/blast/FormatDBSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast/FormatDBSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/blast/FormatDBSupport.cpp	2013-12-10 23:33:48.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast/FormatDBSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -58,7 +58,7 @@ FormatDBSupport::FormatDBSupport(const Q
 #ifdef Q_OS_WIN
     executableFileName="formatdb.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="formatdb";
     #endif
 #endif
@@ -74,7 +74,7 @@ FormatDBSupport::FormatDBSupport(const Q
 #ifdef Q_OS_WIN
     executableFileName="makeblastdb.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="makeblastdb";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastDBCmdSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastDBCmdSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastDBCmdSupport.cpp	2013-12-10 23:33:48.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastDBCmdSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -57,7 +57,7 @@ BlastDbCmdSupport::BlastDbCmdSupport(con
 #ifdef Q_OS_WIN
     executableFileName="blastdbcmd.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="blastdbcmd";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastPlusSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastPlusSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastPlusSupport.cpp	2013-12-10 23:33:48.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/blast_plus/BlastPlusSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -73,7 +73,7 @@ BlastPlusSupport::BlastPlusSupport(const
 #ifdef Q_OS_WIN
     executableFileName="blastn.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="blastn";
     #endif
 #endif
@@ -85,7 +85,7 @@ BlastPlusSupport::BlastPlusSupport(const
 #ifdef Q_OS_WIN
     executableFileName="blastp.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="blastp";
     #endif
 #endif
@@ -109,7 +109,7 @@ BlastPlusSupport::BlastPlusSupport(const
 #ifdef Q_OS_WIN
     executableFileName="blastx.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="blastx";
     #endif
 #endif
@@ -121,7 +121,7 @@ BlastPlusSupport::BlastPlusSupport(const
 #ifdef Q_OS_WIN
     executableFileName="tblastn.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="tblastn";
     #endif
 #endif
@@ -133,7 +133,7 @@ BlastPlusSupport::BlastPlusSupport(const
 #ifdef Q_OS_WIN
     executableFileName="tblastx.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="tblastx";
     #endif
 #endif
@@ -147,7 +147,7 @@ BlastPlusSupport::BlastPlusSupport(const
 #ifdef Q_OS_WIN
     executableFileName="rpsblast.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="rpsblast";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie/BowtieSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie/BowtieSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie/BowtieSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie/BowtieSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -39,7 +39,7 @@ BowtieSupport::BowtieSupport(const QStri
 #ifdef Q_OS_WIN
         executableFileName="bowtie.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
         executableFileName="bowtie";
     #endif
 #endif
@@ -47,7 +47,7 @@ BowtieSupport::BowtieSupport(const QStri
 #ifdef Q_OS_WIN
         executableFileName="bowtie-build.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
         executableFileName="bowtie-build";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie2/Bowtie2Support.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie2/Bowtie2Support.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie2/Bowtie2Support.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/bowtie2/Bowtie2Support.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -44,7 +44,7 @@ Bowtie2Support::Bowtie2Support(const QSt
 #ifdef Q_OS_WIN
         executableFileName = "bowtie2-align.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "bowtie2-align";
 #endif
 #endif
@@ -60,7 +60,7 @@ Bowtie2Support::Bowtie2Support(const QSt
 #ifdef Q_OS_WIN
         executableFileName = "bowtie2-build.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "bowtie2-build";
 #endif
 #endif
@@ -81,7 +81,7 @@ Bowtie2Support::Bowtie2Support(const QSt
 #ifdef Q_OS_WIN
         executableFileName = "bowtie2-inspect.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "bowtie2-inspect";
 #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/bwa/BwaSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/bwa/BwaSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/bwa/BwaSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/bwa/BwaSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -38,7 +38,7 @@ BwaSupport::BwaSupport(const QString &na
 #ifdef Q_OS_WIN
     executableFileName="bwa.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="bwa";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/cap3/CAP3Support.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/cap3/CAP3Support.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/cap3/CAP3Support.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/cap3/CAP3Support.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -57,7 +57,7 @@ CAP3Support::CAP3Support(const QString& 
 #ifdef Q_OS_WIN
     executableFileName="cap3.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="cap3";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/clustalo/ClustalOSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/clustalo/ClustalOSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/clustalo/ClustalOSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/clustalo/ClustalOSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -58,7 +58,7 @@ ClustalOSupport::ClustalOSupport(const Q
 #ifdef Q_OS_WIN
     executableFileName="ClustalO.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="clustalo";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/clustalw/ClustalWSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/clustalw/ClustalWSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/clustalw/ClustalWSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/clustalw/ClustalWSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -57,7 +57,7 @@ ClustalWSupport::ClustalWSupport(const Q
 #ifdef Q_OS_WIN
     executableFileName="clustalw2.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="clustalw2";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/cufflinks/CufflinksSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/cufflinks/CufflinksSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/cufflinks/CufflinksSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/cufflinks/CufflinksSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -44,7 +44,7 @@ CufflinksSupport::CufflinksSupport(const
 #ifdef Q_OS_WIN
         executableFileName = "cuffcompare.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "cuffcompare";
 #endif
 #endif
@@ -60,7 +60,7 @@ CufflinksSupport::CufflinksSupport(const
 #ifdef Q_OS_WIN
         executableFileName = "cuffdiff.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "cuffdiff";
 #endif
 #endif
@@ -75,7 +75,7 @@ CufflinksSupport::CufflinksSupport(const
 #ifdef Q_OS_WIN
         executableFileName = "cufflinks.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "cufflinks";
 #endif
 #endif
@@ -91,7 +91,7 @@ CufflinksSupport::CufflinksSupport(const
 #ifdef Q_OS_WIN
         executableFileName = "cuffmerge.py";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         executableFileName = "cuffmerge";
 #endif
 #endif
@@ -105,7 +105,7 @@ CufflinksSupport::CufflinksSupport(const
     else if (name == ET_GFFREAD) {
 #ifdef Q_OS_WIN
         executableFileName = "gffread.exe";
-#elif defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#elif defined(Q_OS_UNIX)
         executableFileName = "gffread";
 #endif
         validMessage = "gffread <input_gff>";
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/mrbayes/MrBayesSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/mrbayes/MrBayesSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/mrbayes/MrBayesSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/mrbayes/MrBayesSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -47,7 +47,7 @@ MrBayesSupport::MrBayesSupport(const QSt
 #ifdef Q_OS_WIN
     executableFileName="mrbayes.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="mrbayes"; //need check on unix
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/perl/PerlSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/perl/PerlSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/perl/PerlSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/perl/PerlSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -36,7 +36,7 @@ PerlSupport::PerlSupport(const QString &
     }
 #ifdef Q_OS_WIN
     executableFileName = "perl.exe";
-#elif defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#elif defined(Q_OS_UNIX)
     executableFileName = "perl";
 #endif
     validMessage = "This is perl";
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/python/PythonSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/python/PythonSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/python/PythonSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/python/PythonSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -47,7 +47,7 @@ PythonSupport::PythonSupport(const QStri
 #ifdef Q_OS_WIN
     executableFileName = "python.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName = "python2.7";
     #endif
 #endif
@@ -79,7 +79,7 @@ PythonModuleSupport::PythonModuleSupport
 #ifdef Q_OS_WIN
     executableFileName = "python.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName = "python2.7";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/BcfToolsSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/BcfToolsSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/BcfToolsSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/BcfToolsSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -36,7 +36,7 @@ BcfToolsSupport::BcfToolsSupport(const Q
 
 #ifdef Q_OS_WIN
     executableFileName = "bcftools.exe";
-#elif defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#elif defined(Q_OS_UNIX)
     executableFileName = "bcftools";
 #endif
 
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/SamToolsExtToolSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/SamToolsExtToolSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/SamToolsExtToolSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/samtools/SamToolsExtToolSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -40,7 +40,7 @@ SamToolsExtToolSupport::SamToolsExtToolS
 #ifdef Q_OS_WIN
     executableFileName = "samtools.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
     executableFileName = "samtools";
 #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/spidey/SpideySupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/spidey/SpideySupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/spidey/SpideySupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/spidey/SpideySupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -64,7 +64,7 @@ SpideySupport::SpideySupport(const QStri
 #ifdef Q_OS_WIN
     executableFileName="Spidey.exe";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="spidey";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/tcoffee/TCoffeeSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/tcoffee/TCoffeeSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/tcoffee/TCoffeeSupport.cpp	2013-12-10 23:33:49.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/tcoffee/TCoffeeSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -58,7 +58,7 @@ TCoffeeSupport::TCoffeeSupport(const QSt
 #ifdef Q_OS_WIN
     executableFileName="t_coffee.bat";
 #else
-    #if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+    #if defined(Q_OS_UNIX)
     executableFileName="t_coffee";
     #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/tophat/TopHatSupport.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/tophat/TopHatSupport.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/tophat/TopHatSupport.cpp	2013-12-10 23:33:50.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/tophat/TopHatSupport.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -41,7 +41,7 @@ TopHatSupport::TopHatSupport(const QStri
 #ifdef Q_OS_WIN
     executableFileName = "tophat.exe";
 #else
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
     executableFileName = "tophat";
 #endif
 #endif
diff -rup work/ugene-1.13.0/src/plugins/external_tool_support/src/utils/ExternalToolSearchTask.cpp fixed/ugene-1.13.0/src/plugins/external_tool_support/src/utils/ExternalToolSearchTask.cpp
--- work/ugene-1.13.0/src/plugins/external_tool_support/src/utils/ExternalToolSearchTask.cpp	2013-12-10 23:33:50.000000000 +0800
+++ fixed/ugene-1.13.0/src/plugins/external_tool_support/src/utils/ExternalToolSearchTask.cpp	2014-01-16 21:25:30.000000000 +0800
@@ -81,7 +81,7 @@ void ExternalToolSearchTask::run() {
 
     if (pathIndex >= 0) {
         QString pathEnv = envList.at(pathIndex);
-#if defined(Q_OS_LINUX) || defined(Q_OS_MAC)
+#if defined(Q_OS_UNIX)
         QStringList paths = pathEnv.split("=").at(1).split(":");
 #else
 #ifdef Q_OS_WIN
